/*
 * FILE --- fitness_param.hh
 * 
 * PURPOSE --- Header file in which the fitness parameters for an idividual
 * are defined. The user schould modify this file acording to the optimization
 * problem at hand. 
 *
 * This file is to be used by the Genetic Algorithm (GA) utility that is a stochastic 
 * direct search or optimization method. It manipulates a string of numbers (a chromosome) 
 * in a manner similar to the laws of evolution and biology.
 *
 */

// Prevent Multiple Inclusion
#ifndef FITNESS_PARAM_HH
#define FITNESS_PARAM_HH


// Parametrs to be used for evaluating the fitness of each individual 
class FITNESS_PARAM
{
public:

  // Constructor
  FITNESS_PARAM();

  // Destructor
  ~FITNESS_PARAM();

  // Change/add/delete this structure as desired
  // Or if you wish you can derive your own structure from this one
  double example;

};
typedef class FITNESS_PARAM Fitness_param;

#endif // FITNESS_PARAM_HH
