/*
 * FILE --- fitness.cc
 * 
 * PURPOSE --- Source file in which the function that computes the fitness of an 
 * individual is implemented. The user schould modify this file acording to the 
 * optimization problem at hand. 
 *
 * This file is to be used by the Genetic Algorithm (GA) utility that is a stochastic 
 * direct search or optimization method. It manipulates a string of numbers (a chromosome) 
 * in a manner similar to the laws of evolution and biology.
 *
 */

// Include Files
#include <math.h>
#include "ga.hh"

void get_fitness(Individual *_individual, Fitness_param *_fitness_param)
{
  /* get_fitness determines the fitness of the individual. 
     This function needs to be modified by the programmer to provide
     an application specific fitness function.

     The fitness is a function of the trait values. It is the function
     to be maximized. Implement this function here. 
  */

  double x = _individual->trait_val[0];
  double y = _individual->trait_val[1];

  //  fitness = fitness_function(trait_val, _fitness_params);
  // This maximum of this fitness function occures at x=0, y= 3.14159
  _individual->fitness = pow(cos(x) + sin(y/2.0), 6.0);

  /* Make certain fitness is non-negative */
  /* REMEMBER: The best individuals have the highest fitness. */
  if (_individual->fitness < 0.0) 
    {
      _individual->fitness = 0.0;
    }
} 



